AM261x MCU+ SDK: UARTLLD_InitObject Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
UARTLLD_InitObject Struct Reference
APIs for SOC Specific Device Drivers » APIs for UART

## Detailed Description

UART driver initialization object.

## Data Fields
uint32_t | inputClkFreq
uint32_t | baudRate
uint32_t | dataLength
uint32_t | stopBits
uint32_t | parityType
uint32_t | readReturnMode
uint32_t | hwFlowControl
uint32_t | hwFlowControlThr
uint32_t | transferMode
uint32_t | intrNum
uint8_t | intrPriority
uint32_t | operMode
uint32_t | readMode
uint32_t | writeMode
uint32_t | rxTrigLvl
uint32_t | txTrigLvl
uint32_t | rxEvtNum
uint32_t | txEvtNum
UART_DmaHandle | uartDmaHandle
UART_DmaChConfig | dmaChCfg
uint32_t | timeGuardVal
UART_clockGet | clockP_get
UART_clockUsecToTick | clockP_usecToTick
UART_readCompCallbackFxn | readCompleteCallbackFxn
UART_writeCompCallbackFxn | writeCompleteCallbackFxn

## Field Documentation

## ◆ inputClkFreq

uint32_t UARTLLD_InitObject::inputClkFreq

Module input clock frequency

## ◆ baudRate

uint32_t UARTLLD_InitObject::baudRate

Baud rate for UART

## ◆ dataLength

uint32_t UARTLLD_InitObject::dataLength

Data length for UART. Refer UART_DataLength

## ◆ stopBits

uint32_t UARTLLD_InitObject::stopBits

Stop bits for UART. Refer UART_StopBits

## ◆ parityType

uint32_t UARTLLD_InitObject::parityType

Parity bit type for UART. Refer UART_Parity

## ◆ readReturnMode

uint32_t UARTLLD_InitObject::readReturnMode

Receive return mode Refer UART_ReadReturnMode

## ◆ hwFlowControl

uint32_t UARTLLD_InitObject::hwFlowControl

## ◆ hwFlowControlThr

uint32_t UARTLLD_InitObject::hwFlowControlThr

< Enable HW Flow Control Hardware flow Control threshold, greater than or equal to the RX FIFO trigger level UART_RxTrigLvl

## ◆ transferMode

uint32_t UARTLLD_InitObject::transferMode

Transfer mode UART_ConfigMode

## ◆ intrNum

uint32_t UARTLLD_InitObject::intrNum

Peripheral interrupt number

## ◆ intrPriority

uint8_t UARTLLD_InitObject::intrPriority

Interrupt priority

## ◆ operMode

uint32_t UARTLLD_InitObject::operMode

Receive return mode readMode

## ◆ readMode

uint32_t UARTLLD_InitObject::readMode

Receive return mode writeMode

## ◆ writeMode

uint32_t UARTLLD_InitObject::writeMode

Refer UART_OperMode for valid values

## ◆ rxTrigLvl

uint32_t UARTLLD_InitObject::rxTrigLvl

Refer UART_RxTrigLvl for valid values

## ◆ txTrigLvl

uint32_t UARTLLD_InitObject::txTrigLvl

Refer UART_TxTrigLvl for valid values

## ◆ rxEvtNum

uint32_t UARTLLD_InitObject::rxEvtNum

DMA Event number used for UART Rx

## ◆ txEvtNum

uint32_t UARTLLD_InitObject::txEvtNum

DMA Event number used for UART Tx

## ◆ uartDmaHandle

UART_DmaHandle UARTLLD_InitObject::uartDmaHandle

DMA Handle

## ◆ dmaChCfg

UART_DmaChConfig UARTLLD_InitObject::dmaChCfg

DMA Configuration for this instance.

## ◆ timeGuardVal

uint32_t UARTLLD_InitObject::timeGuardVal

## ◆ clockP_get

UART_clockGet UARTLLD_InitObject::clockP_get

## ◆ clockP_usecToTick

UART_clockUsecToTick UARTLLD_InitObject::clockP_usecToTick

## ◆ readCompleteCallbackFxn

UART_readCompCallbackFxn UARTLLD_InitObject::readCompleteCallbackFxn

Read Callback function pointer

## ◆ writeCompleteCallbackFxn

UART_writeCompCallbackFxn UARTLLD_InitObject::writeCompleteCallbackFxn

Write Callback function pointer